Subject: 24.3.50; Transpose characters with negative argument does not move point

From: Ivan Andrus <[email-masked]>
Date: Fri, 22 Mar 2013 20:04:59 -0600

Calling `transpose-chars' with a negative prefix argument now leaves
point unchanged.  It used to move point backwards so that it was
possible to "push" a character backwards through the buffer by repeating
(transpose-chars -1).  This is something that I do occasionally and it's
very handy in much the same way that transpose-chars with a positive
prefix argument (or none) can be used to "pull" a character forward
through the buffer.  I believe that other transpose functions are also
affected.  IIRC the commit responsible is revno: 111284, though I did
the bisection a while ago.  I'm sorry I forgot to send a bug report
until now.

-Ivan